> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/developer-docs/rest-api/api-reference/incidents.md).

# Incidents

## GET /incidents

> Get incidents.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Incidents"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"IncidentStatus":{"type":"string","description":"the incident status","enum":["DECLARED","INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"Incident":{"type":"object","required":["title"],"properties":{"id":{"type":"integer","format":"int64","readOnly":true},"number":{"type":"integer","format":"int64","readOnly":true,"description":"Sequential number of the incident within the account."},"title":{"type":"string"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/IncidentStatus"},"severity":{"type":"integer","format":"int32","minimum":1,"maximum":5,"description":"Optional severity in range 1..5."},"declaredAt":{"type":"string","format":"date-time","readOnly":true},"resolvedAt":{"type":"string","format":"date-time","readOnly":true},"declaredBy":{"$ref":"#/components/schemas/User"},"resolvedBy":{"$ref":"#/components/schemas/User"},"channel":{"$ref":"#/components/schemas/IncidentChannel"},"conferenceBridge":{"$ref":"#/components/schemas/ConferenceBridge"},"affectedServices":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"responders":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"$ref":"#/components/schemas/IncidentResponder"}},"alertCount":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountJoined":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountTotal":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"}}},"User":{"required":["email","firstName","lastName"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"position":{"type":"string"},"department":{"type":"string"},"avatarUrl":{"type":"string","readOnly":true},"language":{"type":"string","enum":["de","en"]},"region":{"type":"string","enum":["DE","GB","CH","CN","IN","US","FR","ES","CA","IE"]},"role":{"$ref":"#/components/schemas/Role"},"shiftColor":{"type":"string","description":"Optional hex-color code for the user's shifts in schedules calendars"},"mutedUntil":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"createdAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"updatedAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"Role":{"type":"string","enum":["STAKEHOLDER","GUEST","VIEWER","RESPONDER","USER","ADMIN"],"description":"The user's role."},"IncidentChannel":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["SLACK","MS_TEAMS","GOOGLE_CHAT"]},"href":{"type":"string","format":"uri"},"groupId":{"type":"string"},"isPrivate":{"type":"boolean"}}},"ConferenceBridge":{"type":"object","properties":{"type":{"type":"string","enum":["ZOOM","GOOGLE_MEET","MS_TEAMS","CUSTOM"]},"href":{"type":"string","format":"uri"},"id":{"type":"string"},"dialIn":{"type":"string"}}},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}},"IncidentResponder":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/User"},"status":{"type":"string","readOnly":true,"enum":["ADDED","NOTIFIED","JOINED","DECLINED"]},"role":{"type":"string","enum":["INCIDENT_COMMANDER","COMMUNICATIONS_LEAD","ACCOUNTABLE_EXECUTIVE","LEGAL_LEAD","CUSTOMER_SUCCESS_LEAD","SUPPORT_LEAD","FINANCE_LEAD","RESPONDER"]},"notifiedAt":{"type":"string","format":"date-time","readOnly":true},"acceptedAt":{"type":"string","format":"date-time","readOnly":true},"declinedAt":{"type":"string","format":"date-time","readOnly":true},"pagedByUserId":{"type":"integer","format":"int64","readOnly":true}}}}},"paths":{"/incidents":{"get":{"tags":["Incidents"],"summary":"Get incidents.","parameters":[{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of incidents. (Note: when using ?include maximum is reduced to 25, and to 11 when using ?include=alertCount)","schema":{"maximum":100,"type":"integer","format":"int32","default":10}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (affectedServices, responders, alertCount, responderCountJoined, responderCountTotal)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["affectedServices","responders","alertCount","responderCountJoined","responderCountTotal"]}}},{"name":"states","in":"query","description":"status of the incident","style":"form","explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/IncidentStatus"}}},{"name":"services","in":"query","description":"service IDs of the incident's affected services","style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"severity","in":"query","description":"severity of the incident, in range 1..5","schema":{"type":"integer","format":"int32","minimum":1,"maximum":5}},{"name":"from","in":"query","description":"from date, ISO-UTC e.g. 2021-05-25T21:24:56.771Z, based on declaredAt","schema":{"type":"string","format":"date-time"}},{"name":"until","in":"query","description":"until date, ISO-UTC e.g. 2021-05-26T21:24:56.771Z, based on declaredAt","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"The incidents","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Incident"}}}}}}}}}}
```

## Create a new incident.

> Note: depending on affected services this will publish notifications to subscribers. Use /publish-info to forecast notifications.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Incidents"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"Incident":{"type":"object","required":["title"],"properties":{"id":{"type":"integer","format":"int64","readOnly":true},"number":{"type":"integer","format":"int64","readOnly":true,"description":"Sequential number of the incident within the account."},"title":{"type":"string"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/IncidentStatus"},"severity":{"type":"integer","format":"int32","minimum":1,"maximum":5,"description":"Optional severity in range 1..5."},"declaredAt":{"type":"string","format":"date-time","readOnly":true},"resolvedAt":{"type":"string","format":"date-time","readOnly":true},"declaredBy":{"$ref":"#/components/schemas/User"},"resolvedBy":{"$ref":"#/components/schemas/User"},"channel":{"$ref":"#/components/schemas/IncidentChannel"},"conferenceBridge":{"$ref":"#/components/schemas/ConferenceBridge"},"affectedServices":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"responders":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"$ref":"#/components/schemas/IncidentResponder"}},"alertCount":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountJoined":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountTotal":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"}}},"IncidentStatus":{"type":"string","description":"the incident status","enum":["DECLARED","INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"User":{"required":["email","firstName","lastName"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"position":{"type":"string"},"department":{"type":"string"},"avatarUrl":{"type":"string","readOnly":true},"language":{"type":"string","enum":["de","en"]},"region":{"type":"string","enum":["DE","GB","CH","CN","IN","US","FR","ES","CA","IE"]},"role":{"$ref":"#/components/schemas/Role"},"shiftColor":{"type":"string","description":"Optional hex-color code for the user's shifts in schedules calendars"},"mutedUntil":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"createdAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"updatedAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"Role":{"type":"string","enum":["STAKEHOLDER","GUEST","VIEWER","RESPONDER","USER","ADMIN"],"description":"The user's role."},"IncidentChannel":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["SLACK","MS_TEAMS","GOOGLE_CHAT"]},"href":{"type":"string","format":"uri"},"groupId":{"type":"string"},"isPrivate":{"type":"boolean"}}},"ConferenceBridge":{"type":"object","properties":{"type":{"type":"string","enum":["ZOOM","GOOGLE_MEET","MS_TEAMS","CUSTOM"]},"href":{"type":"string","format":"uri"},"id":{"type":"string"},"dialIn":{"type":"string"}}},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}},"IncidentResponder":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/User"},"status":{"type":"string","readOnly":true,"enum":["ADDED","NOTIFIED","JOINED","DECLINED"]},"role":{"type":"string","enum":["INCIDENT_COMMANDER","COMMUNICATIONS_LEAD","ACCOUNTABLE_EXECUTIVE","LEGAL_LEAD","CUSTOMER_SUCCESS_LEAD","SUPPORT_LEAD","FINANCE_LEAD","RESPONDER"]},"notifiedAt":{"type":"string","format":"date-time","readOnly":true},"acceptedAt":{"type":"string","format":"date-time","readOnly":true},"declinedAt":{"type":"string","format":"date-time","readOnly":true},"pagedByUserId":{"type":"integer","format":"int64","readOnly":true}}}}},"paths":{"/incidents":{"post":{"tags":["Incidents"],"summary":"Create a new incident.","description":"Note: depending on affected services this will publish notifications to subscribers. Use /publish-info to forecast notifications.","requestBody":{"description":"the incident","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Incident"}}},"required":true},"responses":{"200":{"description":"The newly created incident","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Incident"}}}}}}}}}
```

## Forecast the affected subscribers and status pages

> Forecast the affected subscribers and status pages as well as notifications that would be send out due to a created or updated incident.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Incidents"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"Incident":{"type":"object","required":["title"],"properties":{"id":{"type":"integer","format":"int64","readOnly":true},"number":{"type":"integer","format":"int64","readOnly":true,"description":"Sequential number of the incident within the account."},"title":{"type":"string"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/IncidentStatus"},"severity":{"type":"integer","format":"int32","minimum":1,"maximum":5,"description":"Optional severity in range 1..5."},"declaredAt":{"type":"string","format":"date-time","readOnly":true},"resolvedAt":{"type":"string","format":"date-time","readOnly":true},"declaredBy":{"$ref":"#/components/schemas/User"},"resolvedBy":{"$ref":"#/components/schemas/User"},"channel":{"$ref":"#/components/schemas/IncidentChannel"},"conferenceBridge":{"$ref":"#/components/schemas/ConferenceBridge"},"affectedServices":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"responders":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"$ref":"#/components/schemas/IncidentResponder"}},"alertCount":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountJoined":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountTotal":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"}}},"IncidentStatus":{"type":"string","description":"the incident status","enum":["DECLARED","INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"User":{"required":["email","firstName","lastName"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"position":{"type":"string"},"department":{"type":"string"},"avatarUrl":{"type":"string","readOnly":true},"language":{"type":"string","enum":["de","en"]},"region":{"type":"string","enum":["DE","GB","CH","CN","IN","US","FR","ES","CA","IE"]},"role":{"$ref":"#/components/schemas/Role"},"shiftColor":{"type":"string","description":"Optional hex-color code for the user's shifts in schedules calendars"},"mutedUntil":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"createdAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"updatedAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"Role":{"type":"string","enum":["STAKEHOLDER","GUEST","VIEWER","RESPONDER","USER","ADMIN"],"description":"The user's role."},"IncidentChannel":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["SLACK","MS_TEAMS","GOOGLE_CHAT"]},"href":{"type":"string","format":"uri"},"groupId":{"type":"string"},"isPrivate":{"type":"boolean"}}},"ConferenceBridge":{"type":"object","properties":{"type":{"type":"string","enum":["ZOOM","GOOGLE_MEET","MS_TEAMS","CUSTOM"]},"href":{"type":"string","format":"uri"},"id":{"type":"string"},"dialIn":{"type":"string"}}},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}},"IncidentResponder":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/User"},"status":{"type":"string","readOnly":true,"enum":["ADDED","NOTIFIED","JOINED","DECLINED"]},"role":{"type":"string","enum":["INCIDENT_COMMANDER","COMMUNICATIONS_LEAD","ACCOUNTABLE_EXECUTIVE","LEGAL_LEAD","CUSTOMER_SUCCESS_LEAD","SUPPORT_LEAD","FINANCE_LEAD","RESPONDER"]},"notifiedAt":{"type":"string","format":"date-time","readOnly":true},"acceptedAt":{"type":"string","format":"date-time","readOnly":true},"declinedAt":{"type":"string","format":"date-time","readOnly":true},"pagedByUserId":{"type":"integer","format":"int64","readOnly":true}}},"UIMenuItem":{"type":"object","properties":{"id":{"type":"number"},"label":{"type":"string"}}}}},"paths":{"/incidents/publish-info":{"post":{"tags":["Incidents"],"summary":"Forecast the affected subscribers and status pages","description":"Forecast the affected subscribers and status pages as well as notifications that would be send out due to a created or updated incident.","requestBody":{"description":"the incident","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Incident"}}},"required":true},"responses":{"200":{"description":"The forecast for the provided incident","content":{"application/json":{"schema":{"type":"object","properties":{"statusPagesInfo":{"$ref":"#/components/schemas/UIMenuItem"},"privateStatusPages":{"type":"number","readOnly":true},"publicStatusPages":{"type":"number","readOnly":true},"privateSubscribers":{"type":"number","readOnly":true},"publicSubscribers":{"type":"number","readOnly":true}}}}}}}}}}}
```

## Get a specific incident.

> Note: returns an ETag header that can be send to the PUT /incidents/{id} resource as If-Match header to return a 412 Error in case any related resources e.g. Services or the incident have been updated in the mean time.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Incidents"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"Incident":{"type":"object","required":["title"],"properties":{"id":{"type":"integer","format":"int64","readOnly":true},"number":{"type":"integer","format":"int64","readOnly":true,"description":"Sequential number of the incident within the account."},"title":{"type":"string"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/IncidentStatus"},"severity":{"type":"integer","format":"int32","minimum":1,"maximum":5,"description":"Optional severity in range 1..5."},"declaredAt":{"type":"string","format":"date-time","readOnly":true},"resolvedAt":{"type":"string","format":"date-time","readOnly":true},"declaredBy":{"$ref":"#/components/schemas/User"},"resolvedBy":{"$ref":"#/components/schemas/User"},"channel":{"$ref":"#/components/schemas/IncidentChannel"},"conferenceBridge":{"$ref":"#/components/schemas/ConferenceBridge"},"affectedServices":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"responders":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"$ref":"#/components/schemas/IncidentResponder"}},"alertCount":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountJoined":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountTotal":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"}}},"IncidentStatus":{"type":"string","description":"the incident status","enum":["DECLARED","INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"User":{"required":["email","firstName","lastName"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"position":{"type":"string"},"department":{"type":"string"},"avatarUrl":{"type":"string","readOnly":true},"language":{"type":"string","enum":["de","en"]},"region":{"type":"string","enum":["DE","GB","CH","CN","IN","US","FR","ES","CA","IE"]},"role":{"$ref":"#/components/schemas/Role"},"shiftColor":{"type":"string","description":"Optional hex-color code for the user's shifts in schedules calendars"},"mutedUntil":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"createdAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"updatedAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"Role":{"type":"string","enum":["STAKEHOLDER","GUEST","VIEWER","RESPONDER","USER","ADMIN"],"description":"The user's role."},"IncidentChannel":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["SLACK","MS_TEAMS","GOOGLE_CHAT"]},"href":{"type":"string","format":"uri"},"groupId":{"type":"string"},"isPrivate":{"type":"boolean"}}},"ConferenceBridge":{"type":"object","properties":{"type":{"type":"string","enum":["ZOOM","GOOGLE_MEET","MS_TEAMS","CUSTOM"]},"href":{"type":"string","format":"uri"},"id":{"type":"string"},"dialIn":{"type":"string"}}},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}},"IncidentResponder":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/User"},"status":{"type":"string","readOnly":true,"enum":["ADDED","NOTIFIED","JOINED","DECLINED"]},"role":{"type":"string","enum":["INCIDENT_COMMANDER","COMMUNICATIONS_LEAD","ACCOUNTABLE_EXECUTIVE","LEGAL_LEAD","CUSTOMER_SUCCESS_LEAD","SUPPORT_LEAD","FINANCE_LEAD","RESPONDER"]},"notifiedAt":{"type":"string","format":"date-time","readOnly":true},"acceptedAt":{"type":"string","format":"date-time","readOnly":true},"declinedAt":{"type":"string","format":"date-time","readOnly":true},"pagedByUserId":{"type":"integer","format":"int64","readOnly":true}}}}},"paths":{"/incidents/{id}":{"get":{"tags":["Incidents"],"summary":"Get a specific incident.","description":"Note: returns an ETag header that can be send to the PUT /incidents/{id} resource as If-Match header to return a 412 Error in case any related resources e.g. Services or the incident have been updated in the mean time.","parameters":[{"name":"id","in":"path","description":"the id of the incident","required":true,"schema":{"type":"number"}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (affectedServices, responders, alertCount, responderCountJoined, responderCountTotal) Note: affectedServices and responders are always included.","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["affectedServices","responders","alertCount","responderCountJoined","responderCountTotal"]}}}],"responses":{"200":{"description":"The requested incident","headers":{"ETag":{"description":"Send to the PUT /incidents/{id} resource as If-Match header to return a 412 Error in case any related resources e.g. Services or Incident have been updated in the mean time.","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Incident"}}}}}}}}}
```

## Update the specific incident.

> Note: depending on affected services this will publish notifications to subscribers. Status updates are published separately via POST /incidents/{id}/status-updates.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Incidents"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"Incident":{"type":"object","required":["title"],"properties":{"id":{"type":"integer","format":"int64","readOnly":true},"number":{"type":"integer","format":"int64","readOnly":true,"description":"Sequential number of the incident within the account."},"title":{"type":"string"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/IncidentStatus"},"severity":{"type":"integer","format":"int32","minimum":1,"maximum":5,"description":"Optional severity in range 1..5."},"declaredAt":{"type":"string","format":"date-time","readOnly":true},"resolvedAt":{"type":"string","format":"date-time","readOnly":true},"declaredBy":{"$ref":"#/components/schemas/User"},"resolvedBy":{"$ref":"#/components/schemas/User"},"channel":{"$ref":"#/components/schemas/IncidentChannel"},"conferenceBridge":{"$ref":"#/components/schemas/ConferenceBridge"},"affectedServices":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"responders":{"type":"array","description":"This is an include field, it is not available in the list resource","items":{"$ref":"#/components/schemas/IncidentResponder"}},"alertCount":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountJoined":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"},"responderCountTotal":{"type":"integer","format":"int32","readOnly":true,"description":"This is an include field, it is not available in the list resource"}}},"IncidentStatus":{"type":"string","description":"the incident status","enum":["DECLARED","INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"User":{"required":["email","firstName","lastName"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"position":{"type":"string"},"department":{"type":"string"},"avatarUrl":{"type":"string","readOnly":true},"language":{"type":"string","enum":["de","en"]},"region":{"type":"string","enum":["DE","GB","CH","CN","IN","US","FR","ES","CA","IE"]},"role":{"$ref":"#/components/schemas/Role"},"shiftColor":{"type":"string","description":"Optional hex-color code for the user's shifts in schedules calendars"},"mutedUntil":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"createdAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"},"updatedAt":{"type":"string","description":"Date in ISO-8601","format":"date-time"}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"Role":{"type":"string","enum":["STAKEHOLDER","GUEST","VIEWER","RESPONDER","USER","ADMIN"],"description":"The user's role."},"IncidentChannel":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string","enum":["SLACK","MS_TEAMS","GOOGLE_CHAT"]},"href":{"type":"string","format":"uri"},"groupId":{"type":"string"},"isPrivate":{"type":"boolean"}}},"ConferenceBridge":{"type":"object","properties":{"type":{"type":"string","enum":["ZOOM","GOOGLE_MEET","MS_TEAMS","CUSTOM"]},"href":{"type":"string","format":"uri"},"id":{"type":"string"},"dialIn":{"type":"string"}}},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}},"IncidentResponder":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/User"},"status":{"type":"string","readOnly":true,"enum":["ADDED","NOTIFIED","JOINED","DECLINED"]},"role":{"type":"string","enum":["INCIDENT_COMMANDER","COMMUNICATIONS_LEAD","ACCOUNTABLE_EXECUTIVE","LEGAL_LEAD","CUSTOMER_SUCCESS_LEAD","SUPPORT_LEAD","FINANCE_LEAD","RESPONDER"]},"notifiedAt":{"type":"string","format":"date-time","readOnly":true},"acceptedAt":{"type":"string","format":"date-time","readOnly":true},"declinedAt":{"type":"string","format":"date-time","readOnly":true},"pagedByUserId":{"type":"integer","format":"int64","readOnly":true}}}}},"paths":{"/incidents/{id}":{"put":{"tags":["Incidents"],"summary":"Update the specific incident.","description":"Note: depending on affected services this will publish notifications to subscribers. Status updates are published separately via POST /incidents/{id}/status-updates.","parameters":[{"name":"id","in":"path","description":"the id of the incident","required":true,"schema":{"type":"number"}},{"name":"If-Match","in":"header","description":"Should be the ETag response header retrieved from GET /incidents/{id} to prevent updating the incident based on outdated information. Will return 412 status code in case of conflict.","schema":{"type":"string"}}],"requestBody":{"description":"the incident","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Incident"}}},"required":true},"responses":{"200":{"description":"The updated incident","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Incident"}}}}}}}}}
```

## GET /incidents/{id}/private-subscribers

> Get the subscribers (users and teams) of an incident

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Incidents"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"TeamUserOption":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"type":{"type":"string","enum":["USER","TEAM"]}}}}},"paths":{"/incidents/{id}/private-subscribers":{"get":{"tags":["Incidents"],"summary":"Get the subscribers (users and teams) of an incident","parameters":[{"name":"id","in":"path","description":"the id of the incident","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The subscribers of the incident","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TeamUserOption"}}}}}}}}}}
```

## POST /incidents/{id}/private-subscribers

> Add subscribers (users and teams) to an incident

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Incidents"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"TeamUserOption":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"type":{"type":"string","enum":["USER","TEAM"]}}}}},"paths":{"/incidents/{id}/private-subscribers":{"post":{"tags":["Incidents"],"summary":"Add subscribers (users and teams) to an incident","parameters":[{"name":"id","in":"path","description":"the id of the incident","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"subscribers that should be added","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TeamUserOption"}}}},"required":true},"responses":{"204":{"description":"the response","content":{}}}}}}}
```

## POST /incidents/{id}/status-updates

> Publish a status update for an incident.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Incidents"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusUpdateNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/StatusUpdateStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"createdAt":{"type":"string","description":"May be overwritten during the creation of the incident, otherwise read-only","format":"date-time"},"updatedAt":{"type":"string","description":"May be overwritten during the creation of the incident, otherwise read-only","format":"date-time"},"affectedServices":{"type":"array","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"resolvedOn":{"type":"string","format":"date-time","readOnly":true}}},"StatusUpdateStatus":{"type":"string","description":"the status update status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}}}},"paths":{"/incidents/{id}/status-updates":{"post":{"tags":["Incidents"],"summary":"Publish a status update for an incident.","parameters":[{"name":"id","in":"path","description":"the id of the incident","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the status update","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUpdateNoIncludes"}}}},"responses":{"200":{"description":"the created status update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUpdateNoIncludes"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/incidents.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
